Subject: bug#49229: 27.2; `M-x shell' fails over TRAMP from local MS Windows

From: Michael Albinus <[email-masked]>
Date: Sat, 03 Jul 2021 08:42:41 +0200

Jim Porter <[email-masked]> writes:

Hi Jim,

> Thanks for the fix. I tested this both by running `M-x shell' from a
> remote buffer and by opening a local file while in a remote buffer and
> both of these work as expected. Note that I just eval'ed the updated
> functions in my Emacs 27.2 instance, so it's not a *perfect* test;
> still, hopefully it's enough to verify that this works correctly.

Thanks for confirmation. The Tramp part of the patch will appear with
the next Tramp ELPA release, likely 2.5.1.1.

Best regards, Michael.